Bug 181967 - graphics/aaphoto: Missing OpenMP functionality because of the new compiler defaults
Summary: graphics/aaphoto: Missing OpenMP functionality because of the new compiler de...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-09 16:50 UTC by Andras Horvath
Modified: 2013-11-03 13:30 UTC (History)
0 users

See Also:


Attachments
file.diff (299 bytes, patch)
2013-09-09 16:50 UTC, Andras Horvath
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Horvath 2013-09-09 16:50:00 UTC
aaphoto depends on the OpenMP functionality coming with libgomp from the
GCC compiler tools. The head switching to Clang as a default compiler
breaks this dependency.

Fix: Install GCC.

Patch attached with submission follows:
How-To-Repeat: Try to install the aaphoto package from ports.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-09-16 06:18:57 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Edwin Groothuis freebsd_committer 2013-09-16 06:19:40 UTC
Class Changed
From-To: sw-bug->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 3 Mark Felder freebsd_committer 2013-11-03 00:17:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->feld

I'll take it.
Comment 4 dfilter service freebsd_committer 2013-11-03 00:18:50 UTC
Author: feld
Date: Sun Nov  3 00:18:44 2013
New Revision: 332564
URL: http://svnweb.freebsd.org/changeset/ports/332564

Log:
  Require GCC to fix missing OpenMP features
  
  PR:		ports/181967
  Approved by:	swills (mentor, implicit)

Modified:
  head/graphics/aaphoto/Makefile

Modified: head/graphics/aaphoto/Makefile
==============================================================================
--- head/graphics/aaphoto/Makefile	Sun Nov  3 00:12:27 2013	(r332563)
+++ head/graphics/aaphoto/Makefile	Sun Nov  3 00:18:44 2013	(r332564)
@@ -3,6 +3,7 @@
 
 PORTNAME=	aaphoto
 PORTVERSION=	0.43.1
+PORTREVISION=	1
 CATEGORIES=	graphics
 
 MAINTAINER=	mail@log69.com
@@ -19,6 +20,7 @@ GH_ACCOUNT=	log69
 GH_COMMIT=	e566f9b
 GH_TAGNAME=	v${PORTVERSION}
 
+USE_GCC=	any
 GNU_CONFIGURE=	yes
 USES=		compiler
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Mark Felder freebsd_committer 2013-11-03 00:18:57 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2013-11-03 13:28:40 UTC
Author: feld
Date: Sun Nov  3 13:28:32 2013
New Revision: 332613
URL: http://svnweb.freebsd.org/changeset/ports/332613

Log:
  Use modern compiler:openmp syntax to ensure this doesn't need fixing
  again in the future.
  Bump portrevision just to be safe
  
  PR:		ports/181967
  Submitted by:	sunpoet
  Approved by:	swills (mentor, implicit)

Modified:
  head/graphics/aaphoto/Makefile

Modified: head/graphics/aaphoto/Makefile
==============================================================================
--- head/graphics/aaphoto/Makefile	Sun Nov  3 13:28:00 2013	(r332612)
+++ head/graphics/aaphoto/Makefile	Sun Nov  3 13:28:32 2013	(r332613)
@@ -3,7 +3,7 @@
 
 PORTNAME=	aaphoto
 PORTVERSION=	0.43.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	graphics
 
 MAINTAINER=	mail@log69.com
@@ -20,9 +20,8 @@ GH_ACCOUNT=	log69
 GH_COMMIT=	e566f9b
 GH_TAGNAME=	v${PORTVERSION}
 
-USE_GCC=	yes
 GNU_CONFIGURE=	yes
-USES=		compiler
+USES=		compiler:openmp
 
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"